Package kiyut.swing.table.dom

## Class AttributeTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - kiyut.swing.table.dom.AttributeTableModel

- All Implemented Interfaces:
    `Serializable`, `TableModel`

      public class AttributeTableModel
      extends AbstractTableModel

  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String[]` | `columnNames` | the column names for this model
    `protected EventListener` | `domListener` |
    `protected Element` | `element` |

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttributeTableModel()` | Creates a new instance of AttributeTableModel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumnCount()` |
    `String` | `getColumnName​(int col)` | Returns the column name.
    `Element` | `getElement()` |
    `int` | `getRowCount()` |
    `Object` | `getValueAt​(int rowIndex, int columnIndex)` |
    `boolean` | `isCellEditable​(int row, int col)` |
    `void` | `refresh()` |
    `void` | `setElement​(Element element)` |
    `void` | `setValueAt​(Object value, int row, int col)` | Overriden to do nothing

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columnNames

          protected String[] columnNames

      the column names for this model

    - #### element

          protected Element element

    - #### domListener

          protected EventListener domListener

  - ### Constructor Detail

    - #### AttributeTableModel

          public AttributeTableModel()

      Creates a new instance of AttributeTableModel

  - ### Method Detail

    - #### refresh

          public void refresh()

    - #### setElement

          public void setElement​(Element element)

    - #### getElement

          public Element getElement()

    - #### isCellEditable

          public boolean isCellEditable​(int row,
                                        int col)

      Specified by:
        `isCellEditable` in interface `TableModel`
      Overrides:
        `isCellEditable` in class `AbstractTableModel`

    - #### getColumnName

          public String getColumnName​(int col)

      Returns the column name.
      Specified by:
        `getColumnName` in interface `TableModel`
      Overrides:
        `getColumnName` in class `AbstractTableModel`
      Parameters:
        `col` - the column being queried
      Returns:
        column name

    - #### getColumnCount

          public int getColumnCount()

    - #### getRowCount

          public int getRowCount()

    - #### getValueAt

          public Object getValueAt​(int rowIndex,
                                   int columnIndex)

    - #### setValueAt

          public void setValueAt​(Object value,
                                 int row,
                                 int col)

      Overriden to do nothing
      Specified by:
        `setValueAt` in interface `TableModel`
      Overrides:
        `setValueAt` in class `AbstractTableModel`